Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.ehbox.core.v2
Class AnnexType

    java.lang.Object
      be.fgov.ehealth.ehbox.core.v2.AnnexType

All Implemented Interfaces:
  Serializable

    public class AnnexType

extends Object
implements Serializable

Specifies content of an Annex

Java class for AnnexType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AnnexType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EncryptableTitle" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             <choice>
               <element name="EncryptableBinaryContent" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
               <element name="EncryptableTextContent" type="{http://www.w3.org/2001/XMLSchema}base64Binary"/>
             </choice>
             <element name="DownloadFileName">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="80"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="MimeType">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="50"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="Signing" type="{urn:be:fgov:ehealth:ehbox:core:v2}SigningType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AnnexType()`

Method Summary
`String` | `getDownloadFileName()` Gets the value of the downloadFileName property.
`DataHandler` | `getEncryptableBinaryContent()` Gets the value of the encryptableBinaryContent property.
`DataHandler` | `getEncryptableTextContent()` Gets the value of the encryptableTextContent property.
`DataHandler` | `getEncryptableTitle()` Gets the value of the encryptableTitle property.
`String` | `getMimeType()` Gets the value of the mimeType property.
`SigningType` | `getSigning()` Gets the value of the signing property.
`void` | `setDownloadFileName(String value)` Sets the value of the downloadFileName property.
`void` | `setEncryptableBinaryContent(DataHandler value)` Sets the value of the encryptableBinaryContent property.
`void` | `setEncryptableTextContent(DataHandler value)` Sets the value of the encryptableTextContent property.
`void` | `setEncryptableTitle(DataHandler value)` Sets the value of the encryptableTitle property.
`void` | `setMimeType(String value)` Sets the value of the mimeType property.
`void` | `setSigning(SigningType value)` Sets the value of the signing property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnexType

    public AnnexType()

Method Detail

### getEncryptableTitle

    public DataHandler getEncryptableTitle()

  Gets the value of the encryptableTitle property.

  Returns:
    possible object is `DataHandler`

### setEncryptableTitle

    public void setEncryptableTitle(DataHandler value)

  Sets the value of the encryptableTitle property.

  Parameters:
    `value` - allowed object is `DataHandler`

### getEncryptableTextContent

    public DataHandler getEncryptableTextContent()

  Gets the value of the encryptableTextContent property.

  Returns:
    possible object is `DataHandler`

### setEncryptableTextContent

    public void setEncryptableTextContent(DataHandler value)

  Sets the value of the encryptableTextContent property.

  Parameters:
    `value` - allowed object is `DataHandler`

### getEncryptableBinaryContent

    public DataHandler getEncryptableBinaryContent()

  Gets the value of the encryptableBinaryContent property.

  Returns:
    possible object is `DataHandler`

### setEncryptableBinaryContent

    public void setEncryptableBinaryContent(DataHandler value)

  Sets the value of the encryptableBinaryContent property.

  Parameters:
    `value` - allowed object is `DataHandler`

### getDownloadFileName

    public String getDownloadFileName()

  Gets the value of the downloadFileName property.

  Returns:
    possible object is `String`

### setDownloadFileName

    public void setDownloadFileName(String value)

  Sets the value of the downloadFileName property.

  Parameters:
    `value` - allowed object is `String`

### getMimeType

    public String getMimeType()

  Gets the value of the mimeType property.

  Returns:
    possible object is `String`

### setMimeType

    public void setMimeType(String value)

  Sets the value of the mimeType property.

  Parameters:
    `value` - allowed object is `String`

### getSigning

    public SigningType getSigning()

  Gets the value of the signing property.

  Returns:
    possible object is `SigningType`

### setSigning

    public void setSigning(SigningType value)

  Sets the value of the signing property.

  Parameters:
    `value` - allowed object is `SigningType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.